package cn.kdan.pdf.tech.core.controller;

import cn.kdan.pdf.tech.core.service.VppKeyFileService;
import constant.CommonConstant;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;
import pojo.ResultMap;

/**
 * @author ComPDFKit-WPH 2024/1/2
 * <p>
 * KeyFileController
 */
@RestController
@RequestMapping("vppKeyFile")
@RequiredArgsConstructor
public class VppKeyFileController {

    private final VppKeyFileService vppKeyFileService;

    @PostMapping("/parseKeyFile")
    public ResultMap<Void> parseKeyFile(MultipartFile keyFile, boolean updateOrInit) {
        vppKeyFileService.parseKeyFile(keyFile, updateOrInit);
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS);
    }

    @PostMapping("/updateOrInit")
    public ResultMap<Boolean> updateOrInit() {
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS,vppKeyFileService.updateOrInit());
    }


}
